package com.bonus.common.houqin.mq.tx;

import com.bonus.common.houqin.mq.rabbit.RabbitPropertiesExt;
import com.google.common.collect.Lists;

import java.util.List;

public class DefaultTxMessageManager implements TxMessageManager {
   public void saveTxMessage(RabbitPropertiesExt.RabbitMessage message) {
   }

   public void afterSendSuccess(String messageId) {
   }

   public void afterSendFailed(String messageId, String cause) {
   }

   public void afterRollback(String messageId) {
   }

   public List<RabbitPropertiesExt.RabbitMessage> failedMessage() {
      return Lists.newArrayList();
   }

   public void afterPropertiesSet() throws Exception {
   }
}
